 
allow-lan: true
port: 7890
mode: rule
unified-delay: true
dns:
    enable: true
    default-nameserver:
      - 223.5.5.5
      - 119.29.29.29
    nameserver-policy:
      "geosite:private,cn":
        - https://1.12.12.12/dns-query
        - https://120.53.53.53/dns-query
        - https://223.5.5.5/dns-query
        - https://doh.pub/dns-query
        - https://dns.alidns.com/dns-query
      "rule-set:steamcn,games,dir":
        - https://1.12.12.12/dns-query
        - https://120.53.53.53/dns-query
        - https://223.5.5.5/dns-query
        - https://doh.pub/dns-query
        - https://dns.alidns.com/dns-query
    nameserver:
      - https://1.1.1.1/dns-query
      - https://cloudflare-dns.com/dns-query
      - https://8.8.8.8/dns-query
      - https://dns.google/dns-query
      - tls://1.0.0.1
      - one.one.one.one
      - dns.google

# proxy-providers:
  # provider1:
    # type: http
    # path: ./meta1.yaml
    # url: http://23.145.248.218:3389/api/v1/client/subscribe?token=ac8656dc9f55ed0bebc4eb379c654028&flag=clash
    # interval: 3600
    # health-check:
      # enable: true
      # url: https://www.gstatic.com/generate_204
      # interval: 300


# 🇺🇸 🇭🇰 🇸🇬 🇹🇼 🇯🇵
proxies:

  - name: 🇺🇸 BWH
    type: trojan
    server: s-ui.wampee.de
    port: 8443
    password: YV73bMjaYB
    udp: true
    sni: tls.wampee.de
    alpn:
    - h2
    - http/1.1
    client-fingerprint: random
    skip-cert-verify: true
    network: tcp
    tfo: true


  - name: 🇺🇸 BWG                 # 可以自定义节点名称
    type: vless
    server: s-ui.wampee.de                            # 解析的域名或IP
    port: 6443                         # 自定义端口
    uuid: 3fe97772-8d88-4b24-8150-cb246eda004a  # 自定义 UUID
    network: tcp
    udp: true
    tls: true
    flow: xtls-rprx-vision
    packet-encoding: xudp
    servername: aju.edu                       # 自定义回落域名
    reality-opts: 
      public-key: NnjovvUxCIWrd5xefMml8vv2B0Wxhlmt7jXUgaQHQjs    # Reality public-key
      short-id: 07cd853f                       # Reality short-id
    client-fingerprint: chrome  
    tfo: true

  # - name: 🇭🇰 rfc
    # type: anytls 
    # server: hk.wampee.de
    # port: 2087
    # password: u5PmuaGZ7q
    # client-fingerprint: chrome
    # udp: true
    # idle-session-check-interval: 30
    # idle-session-timeout: 30
    # min-idle-session: 0
    # sni: hk.wampee.de
    # alpn:
      # - h2
      # - http/1.1
    # skip-cert-verify: true



  # - name: 🇭🇰 GCP                                   # 可以自定义节点名称
    # server: 35.220.252.219                            # 解析的域名或 IP
    # port: 2083                                     # 自定义端口
    # type: tuic
    # uuid: 4d317767-4fea-48b6-f989-0b2f0134d376      # 自定义 UUID
    # password: lwODhuaWHi  # 自定义认证密码
    # alpn: [h3]
    # reduce-rtt: true
    # udp-relay-mode: native
    # congestion-controller: bbr
    # skip-cert-verify: true
    # sni: gcpsui.wampee.de

  # - name: 🇸🇬 AWS
    # type: hysteria2
    # server: 47.130.108.166
    # port: 2096
    # ports: 30000-40000
    # hop-interval: 10
    # password: wYUbKey86n
    # up: "500 Mbps"
    # down: "500 Mbps"
    # obfs: salamander # 默认为空，如果填写则开启obfs，目前仅支持salamander
    # obfs-password: Q15brttRG0
   # # sni: gcpsui.wampee.de
    # skip-cert-verify: true
    # alpn:
      # - h3


  # - name: 🇯🇵 SS                               # 可以自定义节点名称
    # type: ss
    # server: jp.wampee.de                             # 解析的 IP / 域名
    # port: 4000                                      # 自定义端口
    # cipher: aes-128-gcm                              # 自定义加密方式，详细请查阅 Clash Meta 文档
    # password: 4yrGgGqnXlW78jxZ79nRCewYFRfAnnN/vaWdpRrdbUY=                              # 自定义认证密码
    # udp: true
    # udp-over-tcp: true
    # udp-over-tcp-version: 2
    # ip-version: ipv4                                 # IP 协议版本，如节点 IP 为 IPv6 则填写 ipv6


  # - name: 🇭🇰 rfc
    # type: trojan
    # server: rfc.wampee.de 
    # port: 8443
    # password: 5RmZEarlDb
    # udp: true
    # sni: rfc.wampee.de
    # alpn:
    # - h2
    # - http/1.1
    # client-fingerprint: chrome
    # skip-cert-verify: true
    # network: tcp
    # tfo: true


proxy-groups:
  - name: PROXY
    type: select
    proxies:
      - 🇺🇸 BWH
      - 🇺🇸 BWG

  # - name: Relay
    # type: relay
    # proxies:
      # - PROXY
      # - 🇯🇵 SS 

rule-providers:
    tiktok:
        behavior: classical
        interval: 86400
        path: ./ruleset/tiktok.yaml
        type: http
        url: https://github.com/blackmatrix7/ios_rule_script/raw/refs/heads/master/rule/Clash/TikTok/TikTok.yaml
    bybit:
        behavior: classical
        interval: 86400
        path: ./ruleset/bybit.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/bybit.yaml
    ai:
        behavior: classical
        interval: 86400
        path: ./ruleset/ai.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/ai.yaml
    dir:
        behavior: classical
        interval: 86400
        path: ./ruleset/dir.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/dir.yaml
        
    pro:
        behavior: classical
        interval: 86400
        path: ./ruleset/pro.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/refs/heads/main/pro.yaml

    games:
        behavior: classical
        interval: 86400
        path: ./ruleset/games.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/games.yaml
    google:
        behavior: domain
        interval: 86400
        path: ./ruleset/google.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Google/Google.yaml
    googleseries:
        behavior: classical
        interval: 86400
        path: ./ruleset/googleseries.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/googleseries
    microsoft:
        behavior: classical
        interval: 86400
        path: ./ruleset/microsoft.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Microsoft/Microsoft.yaml
    steamcn:
        behavior: classical
        interval: 86400
        path: ./ruleset/steamcn.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/SteamCN/SteamCN.yaml
    telegramcidr:
        behavior: classical
        interval: 86400
        path: ./ruleset/telegramcidr.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/refs/heads/master/rule/Clash/Telegram/Telegram.yaml
    wifi-calling:
        behavior: classical
        interval: 86400
        path: ./ruleset/wifi-calling.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/wifi-calling.yaml
rules:
    - DOMAIN-SUFFIX,store.steampowered.com,PROXY
    - DOMAIN-SUFFIX,steamcommunity.com,PROXY
    - DOMAIN,clash.razord.top,DIRECT
    - DOMAIN,yacd.haishan.me,DIRECT
    - RULE-SET,wifi-calling,PROXY
    - RULE-SET,tiktok,PROXY
    - RULE-SET,pro,PROXY
    - RULE-SET,googleseries,PROXY
    - RULE-SET,ai,PROXY
    - RULE-SET,steamcn,DIRECT
    - RULE-SET,games,DIRECT
    - RULE-SET,microsoft,PROXY
    - RULE-SET,telegramcidr,PROXY
    - RULE-SET,dir,DIRECT
    - RULE-SET,google,PROXY
    - GEOSITE,CN,DIRECT
    - GEOIP,CN,DIRECT
    - GEOIP,LAN,DIRECT
    - MATCH,PROXY



